getCloudCacheBucketList

Prev Next

Available in VPC

Get the list of Object Storage buckets available in Cloud DB for Cache.

Note

Cloud DB for Cache API offers two versions based on the supported DBMS range.

  • getCloudCacheBucketList API: Support for Valkey and Redis DBMS
  • getCloudRedisBucketList API: Support for Redis DBMS

getCloudCacheBucketList API

This section describes the request and response formats for the getCloudCacheBucketList API.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /getCloudCacheBucketList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for Cache APIs, see Cloud DB for Cache request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the Object Storage bucket list to view
  • See getRegionList.
  • First Region of the getRegionList query result (default).
cloudCacheInstanceNo String Required Cloud DB for Cache instance number
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/getCloudCacheBucketList
?regionCode=KR
&cloudCacheInstanceNo=821***'
--header 'x-ncp-apigw-timestamp: {Timestamp}'
--header 'x-ncp-iam-access-key: {Access Key}' 
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See CloudCacheBucketList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json

    {
      "getCloudCacheBucketListResponse": {
        "requestId": "40cb968e-72ef-42d3-adc3-e392e8f7cc99",
        "returnCode": "0",
        "returnMessage": "success",
        "totalRows": 2,
        "cloudCacheBucketList": [
          {
            "bucketName": "aab***"
          },
          {
            "bucketName": "asdsd****"
          }
        ]
      }
    }
    
  • If responseFormatType=xml (default)

    
    <getCloudCacheBucketListResponse>
        <requestId>9f2c90d3-9f6d-4891-af62-780c36949402</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
        <totalRows>2</totalRows>
        <cloudCacheBucketList>
            <cloudCacheBucket>
                <bucketName>aab***</bucketName>
            </cloudCacheBucket>
            <cloudCacheBucket>
                <bucketName>asdsd****</bucketName>
            </cloudCacheBucket>
        </cloudCacheBucketList>
    </getCloudCacheBucketListResponse>
    

getCloudRedisBucketList API

This section describes the request and response formats for the getCloudRedisBucketList API.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vredis/v2/getCloudRedisBucketList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the Object Storage bucket list to view
  • See getRegionList.
  • First Region of the getRegionList query result (default).
cloudRedisInstanceNo String Required Cloud DB for Cache instance number
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/getCloudRedisBucketList
?regionCode=KR
&cloudRedisInstanceNo=***511' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See CloudRedisBucketList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json

    {
        "getCloudRedisBucketListResponse": {
            "totalRows": 1,
            "cloudRedisBucketList": [
                {
                    "bucketName": "redis-backup"
                }
            ],
            "requestId": "77234b5b-****-****-****-507e0f8839a7",
            "returnCode": "0",
            "returnMessage": "success"
        }
    }
    
  • If responseFormatType=xml (default)

    <?xml version="1.0" encoding="UTF-8"?>
    <getCloudRedisBucketListResponse>
        <requestId>77234b5b-****-****-****-507e0f8839a7</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
        <totalRows>1</totalRows>
        <cloudRedisBucketList>
            <cloudRedisBucket>
                <bucketName>redis-backup</bucketName>
            </cloudRedisBucket>
        </cloudRedisBucketList>
    </getCloudRedisBucketListResponse>